#!/bin/sh
printf "Device info:\n"
if [ -f /proc/component_version ]; then
	cat /proc/component_version
else
	printf "N/A\n"
fi

printf "SW          "
if [ -f /etc/osso_software_version ]; then
	cat /etc/osso_software_version
else
	printf "N/A\n"
fi

printf "FTD Versions:\n"
dpkg -l | awk '{print $2,$3}' | grep ftd
dpkg -l | awk '{print $2,$3}' | grep diag

printf "\n"

printf "WiMAX info:\n"
printf "WiMAX MAC address\t"
ifconfig wimax0 | grep HWaddr | awk '{print $5}'
printf "WiMAX FW version\t"
if [ -f /sys/bus/spi/devices/spi2.1/fw_version ]; then
	cat /sys/bus/spi/devices/spi2.1/fw_version | grep FW_VRS
else
	printf "N/A\n"
fi
printf "Asic Name and Version\t"
if [ -f /sys/bus/spi/devices/spi2.1/fw_version ]; then
	cat /sys/bus/spi/devices/spi2.1/fw_version | grep HW_VRS
else
	printf "N/A\n"
fi

printf "\n"

printf "WLAN info:\n"
printf "WLAN MAX address\t"
ifconfig wlan0 | grep HWaddr | awk '{print $5}'
printf "WLAN FW Version\t\t"
if [ -f /sys/bus/platform/drivers/wlan-omap/wlan-omap/fw_version ]; then
	cat /sys/bus/platform/drivers/wlan-omap/wlan-omap/fw_version
else
	printf "N/A\n"
fi

printf "\n"

printf "Bluetooth info:\n"
printf "Bluetooth MAC address\t"
if [ -f /sys/bus/platform/devices/hci_h4p/bdaddr ]; then
	cat /sys/bus/platform/devices/hci_h4p/bdaddr
else
	printf "N/A\n"
fi

